#pragma once


// CPPgConnection3-Dialogfeld

class CPPgConnection3 : public CPropertyPage
{
	DECLARE_DYNAMIC(CPPgConnection3)

public:
	CPPgConnection3();
	virtual ~CPPgConnection3();
	void Localize(void);

// Dialogfelddaten
	enum { IDD = IDD_PPG_CONNECTION3 };

protected:
	virtual void	DoDataExchange(CDataExchange* pDX);    // DDX/DDV-Unterstützung
	virtual BOOL	OnInitDialog();
	void		LoadSettings(void);
	virtual BOOL	OnApply();
	CSliderCtrl		m_ctlConLimitMax;
	CSliderCtrl		m_ctlConLimitMax5;
	CSliderCtrl		m_ctlConLimitHalf;
	CSliderCtrl		m_ctlFuChunks;

	DECLARE_MESSAGE_MAP()
	afx_msg void OnSettingsChange()					{ SetModified(); }

private:
	enum eTab	{NONE, Connection1,Connection2,Connection3};
	CTabCtrl	m_tabCtr;
	eTab		m_currentTab;
	CImageList	m_imageList;
	void		SetTab(eTab tab);
	
public:
	void	InitTab(bool firstinit, int Page = 0);
	afx_msg void OnTcnSelchangeTabConnection3(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnBnClickedFastreject();
};
